# Installation
> composer require intergo/user-callback-client

------------------------------------------
<h2> Service Provider </h2>
<h3>For Laravel</h3>

You should publish the RepositoriesServiceProvider:
```php
php artisan vendor:publish --provider="Intergo\UserCallbackClient\UserCallbackServiceProvider" --tag=job
```

Optional: The service provider will automatically get registered. Or you may manually add the service provider in your config/app.php file:
Laravel
```php
'providers' => [
// ...
Intergo\UserCallbackClient\UserCallbackServiceProvider::class,
];
```
<h3>For Lumen</h3>

In your `bootstrap/app.php` add this:
```
$app->register(Intergo\UserCallbackClient\UserCallbackServiceProvider::class);
```

---------------

<h2> Job </h2>

If Job file `SendUserCallback.php` was not published, copy it to Jobs folder with:
```
cp vendor/intergo/user-callback-client/job/SendUserCallback.php app/Jobs/SendUserCallback.php
```

## Usage

https://intergo.atlassian.net/wiki/spaces/ES/pages/2469003291/User+Callback+Service

```php
<?php

$userCallbackData = new UserCallbackData();
$userCallbackData->callbackUrl = 'http://customer-url.com';
$userCallbackData->userId = 1234; //The Auth user ID
$userCallbackData->priority = 3; //Calculated if needed OR leave default
$userCallbackData->jobsCount = 10; //Calculated if needed OR leave default
$userCallbackData->customQueue = 'custom-queue'; //Set a user custom queue if needed
$userCallbackData->payload = [
  'key' => 'value'
  ....
];

UserCallbackService::send($userCallbackData);
```